[package]
name = "frontend"
version = "0.1.0"
edition = "2024"

[dependencies]
serde = {version = "1.0.228", features = ["derive"]}
gloo-net = "0.7.0"
wasm-bindgen = "0.2.116"
wasm-bindgen-futures = "0.4.66"
yew = { version = "0.23", features = ["csr"] }
yew-router = "0.20.0"
yew_icons = { version = "0.10.0", features = ["lucide"] }
web-sys = {version = "0.3.93", features = ["HtmlSelectElement"] }
gloo-console = "0.4.0"
